{*
    This file is a default InterWorx template, and should not be edited. InterWorx
    upgrades will overwrite edits to this file.

    Templates may be customized by running any of these commands as appropriate:

        ~iworx/bin/config.pex --customize-template http/vhost/cgi --for-global
        ~iworx/bin/config.pex --customize-template http/vhost/cgi --for-nodeworx {EMAIL}
        ~iworx/bin/config.pex --customize-template http/vhost/cgi --for-siteworx {MASTER_DOMAIN}
        ~iworx/bin/config.pex --customize-template http/vhost/cgi --for-domain {DOMAIN}

    Please refer to ~iworx/etc/templates/http/vhost/README.md for more information
*}
  # cgi: {$IS_CGI_ENABLED}
  SuexecUserGroup {$UNIX_USER} {$UNIX_USER}
{* When the domain is suspended, this block is required *}
  <Directory {$DISABLED_DOCUMENT_ROOT}>
    <IfVersion >= 2.4>
      Require all granted
    </IfVersion>
    AllowOverride All
  </Directory>
{* When the domain is over bandwidth, this block is required *}
  <Directory {$BANDWIDTH_OVERAGE_DOCUMENT_ROOT}>
    <IfVersion >= 2.4>
      Require all granted
    </IfVersion>
    AllowOverride All
  </Directory>
{* This block is always required *}
  <Directory {$Config->get('HTTPD_PACKAGE_ROOT')}>
    <IfVersion >= 2.4>
      Require all granted
    </IfVersion>
    AllowOverride All
  </Directory>

  <Location />
{if $IS_CGI_ENABLED}
    Options +ExecCGI
{else}
    Options -ExecCGI
{/if}
  </Location>
{if $IS_CGI_ENABLED}
  ScriptAlias /cgi-bin/ {$Config->include('http/vhost/document-root')}/cgi-bin/
{/if}
  # end cgi
